import java.awt.*;

public class TrackViewer
{
    public static void main(String[] args) throws Exception
    {
      if(args.length==0 || args.length>2)
        printUsage();
      TrackViewerWindow window = new TrackViewerWindow(args[0]);
      Thread t = new Thread( window );
      Insets i = window.getInsets();
      window.setSize(i.left+i.right+1024,i.top+i.bottom+768 );
      //t.run();
      t.start();
      if(args.length==2)
        window.showMovement(args[1]);
    }
    
    public static void printUsage()
    {
      System.out.println("Usage: TrackViewer mapfile [dumpFile]");
      System.exit(1);
    }
}
