import java.lang.*;
import java.util.*;
import java.io.*;
public class car { 

  public static final long acc = 24;
  public static final long brk = 36;
  public static final long turn = 64;
  public static final long limit = 20000;
  public static final long f0 = 4;
  public static final long f1 = 12;
  public static final long f2 = 24;

  FPA x;
  FPA y;
  FPA v=new FPA();
  FPA d=new FPA();
  
  public car(long x_init, long y_init) {
    x = new FPA(x_init);
    y = new FPA(y_init);
  }
     
  public void accel() {
    v.add(acc);
  }

  public void friction() {
    FPA temp = new FPA(f0);
    temp.add(FPA.mul(new FPA(f1),v));
    temp.add(FPA.mul(new FPA(f2), FPA.mul(v,v)));
    v.sub(temp);
  }

  public void noback() {
    if (v.value<0) v.value=0;
  }

  public void brake() {
    v.sub(brk);
  }

  public void left() {
    d.sub(FPA.div(new FPA(turn), FPA.add(FPA.mul(v,v),new FPA(limit))));
  }
    
  public void right() {
    d.add(FPA.div(new FPA(turn), FPA.add(FPA.mul(v,v),new FPA(limit))));
  }

  public void fixd() {
    while (d.value<-FPA.PI) d.add(new FPA(FPA._2_PI));
    while (d.value> FPA.PI) d.sub(new FPA(FPA._2_PI));
  }

  public void update() {
    x.add(FPA.mul(v, FPA.cos(d)));
    y.add(FPA.mul(v, FPA.sin(d)));
  }
  
  public void process(String a) {
    this.friction();
    if (a.indexOf("a")>=0) this.accel();
    if (a.indexOf("b")>=0) this.brake();
    this.noback();
    if (a.indexOf("r")>=0) this.right();
    if (a.indexOf("l")>=0) this.left();
    this.fixd();
    this.update();
  }
  public static void main(String [] args)throws Exception{
    car mycar = new car(355 <<16 ,321 <<16);
    String trcFile="trc.trc";
    //mycar.v.value = 40
    BufferedReader reader = new BufferedReader(new FileReader(trcFile));
    String line = reader.readLine();
    int a=0;
    long b=1;
    System.out.println();
    while (a<line.length()) {
      String temp ="";
      while (line.charAt(a)!='.') {
        temp = temp +line.charAt(a);
        a=a+1;
      }
      mycar.process(temp);
      System.out.println(b+" : "+mycar.x.value+" "+mycar.y.value+" "+mycar.v.value+"\t"+mycar.d.value);
      a = a+1;
      b= b+1;
    }
  }
} 

  
