// Ye Olde ZEN code...
import java.io.*;
import java.util.ArrayList;
import java.awt.*;

public class Crap {

  public static final int MAX_POINTS=10000;
  public static class PointSuck
  {
    int x,y;
    public PointSuck(int x, int y)
    { this.x =x; this.y =y; }
    public PointSuck(long x, long y)
    { this.x = (int) x; this.y = (int) y; }
    public String toString()
    { return "PointSuck("+x+","+y+")"; }
  }
  public static class ErrInfo
  {
    int nextFineStart;
    double distToClosest;
    double angleDiffAbs;
  }
  public static ArrayList points;
  public static ArrayList handles;
  public static ArrayList finePoints;

  static PointSuck Pts[] = new PointSuck[MAX_POINTS];
  static PointSuck endPoints[] = new PointSuck[7]; // one per command
  static double error[] = new double[8];
  static int whereAreWe;
  static int velocity;
  static car myCar = new car(0,0);
  static double[] errAng = new double[7];
  static double[] errDist = new double[7];
  static ErrInfo errStuff;
  
  public static void loadPoints(String fileName) throws Exception
  {
    try
    {
      System.out.println("Deserializing objects");
      ObjectInputStream ois = new ObjectInputStream( new FileInputStream("pts-"+fileName));
      points = (ArrayList)ois.readObject();
      System.out.println("read points");
      ois = new ObjectInputStream( new FileInputStream("hndls-"+fileName));
      handles = (ArrayList)ois.readObject();
      System.out.println("read handles");
      finePoints = new ArrayList();
    }
    catch (Exception e)
    { 
      System.out.println("Bad stuff happened");
      e.printStackTrace();
      throw new Exception("Objects are juiced");
    }
  } 
    
  private static Point getInterp (Point a, Point b, Point c, Point d, double t)
  {
    double x, y;

    x = a.getX()*Math.pow(1-t, 3) + 
      3.0*b.getX()*Math.pow(1-t,2)*t +
      3.0*c.getX()*Math.pow(t,2)*(1-t) +
      d.getX()*Math.pow(t,3);
    y = a.getY()*Math.pow(1-t, 3) + 
      3.0*b.getY()*Math.pow(1-t,2)*t +
      3.0*c.getY()*Math.pow(t,2)*(1-t) +
      d.getY()*Math.pow(t,3);

    return new Point ((int)x, (int)y);
  }

  //draws a line between a & b and adds those points to finePoints
  private static void addLinePoints (Point a, Point b)
  {
    int i, j;
    int dx, dy;
    int mx, my;
    int ex, ey;
    int error;
    int x, y;
    
    Point c, p;
    if ((int)a.getX()==(int)b.getX())
    {
      if (a.getY()>b.getY())
      {
        c = a;
        a = b;
        b = c;
      }
      dy = (int)(b.getY()-a.getY());
      for (i=0; i<dy; i++)
      {
        p = new Point((int)a.getX(), (int)(a.getY()+i));
        finePoints.add(p);
      }
    }
    else if ((int)a.getY()==(int)b.getY())
    {
      if (a.getX()>b.getX())
      {
        c = a;
        a = b;
        b = c;
      }
      dx = (int)(b.getX()-a.getX());
      for (i=0; i<dx; i++)
      {
        p = new Point((int)(a.getX()+i), (int)a.getY());
        finePoints.add(p);
      }
    }
    else
    {
      dx = (int)(b.getX()-a.getX());
      dy = (int)(b.getY()-a.getY());
      mx = my = 1;
      if (dx<0)
        mx = -1;
      if (dy<0)
        my = -1;
      dx = (int)Math.abs(dx);
      dy = (int)Math.abs(dy);

      x = (int)a.getX();
      y = (int)a.getY();
      error = (dx>dy)?dx:dy;
      ex = ey = 0;

      for (i=0; i<error; i++)
      {
        p = new Point(x, y);
        finePoints.add(p);
        ex+= dx;
        ey+= dy;
        while (ex>=error)
        {
          x+= mx;
          ex-= error;
        }
        while (ey>=error)
        {
          y+= my;
          ey-= error;
        }
      }
    }
    finePoints.add(new Point(b));
  }
  
  public static void genAllPoints() throws Exception
  {
    int i, j;
    Point p;
    Point a, b, c, d;
    boolean done;
    
    for (i=0; i<points.size(); i++)
    {
      p = (Point) points.get(i);
      p.setLocation ((int)p.getX()*256, (int)p.getY()*256);
    }
    for (i=0; i<handles.size(); i++)
    {
      p = (Point) handles.get(i);
      p.setLocation ((int)p.getX()*256, (int)p.getY()*256);
    }

    int numP;
    double t;
    Point p1, p2;
    for (i=0; i<points.size()-1; i++)
    {
      a = (Point) points.get(i);
      b = (Point) handles.get(i*2);
      c = (Point) handles.get(i*2+3);
      d = (Point) points.get(i);
      done = false;
      numP = (int) ((Point) points.get(i)).distance((Point) points.get(i+1))/8;
      while (!done)
      {
        t = 1.0/numP;
        p = getInterp(a, b, c, d, t);
        if (a.distance(p)>16)
          numP+=2;
        else
          done = true;
      }

      p1 = new Point(a);
      for (j=1; j<=numP; j++)
      {
        t = (double)j/(double)numP;
        p2 = getInterp (a,b,c,d,t);
        addLinePoints (p1, p2);
        p1 = new Point(p2);
      }
    }
    
    //scale all fine points. right now they are in 8-bit fixed point.
    FileWriter fw = new FileWriter( "Zaid_pts");
    fw.write("blah\n");
    for (i=0; i<finePoints.size(); i++)
    {
      p = (Point) finePoints.get(i);
      p.setLocation((int)p.getX()*256, (int)p.getY()*256);

      fw.write("1 : " + (int) p.getX() + " " + (int) p.getY() + "\n");
    }
    fw.flush();
    fw.close();

  }

  public static ErrInfo getErrorInfo (int fineStart, PointSuck start, PointSuck end)
  {
    int lookAhead = 50;	// *** too big?? -MA
    int i, j;
    double dist = 999999999; //obviously something hugified
    int close=0;
    double yourAngle, myAngle;
    int dx, dy;
    Point p;
    ErrInfo e = new ErrInfo();

    for (i=0; i<lookAhead; i++)
    {
      /* 
       * Initialization problem for finePoints?
       * -- Aly
       */
      p = (Point) finePoints.get(fineStart+i);
      //this will take the furthest point along the curve that is close to end
//System.out.println("ZP: " + (int) p.getX() + " : " + (int) p.getY());
      if (p.distance(end.x, end.y)<dist)
      {
        close = fineStart+i;
        dist = p.distance(end.x, end.y);
      }
    }
    e.nextFineStart = close;
    e.distToClosest = dist;

    double yourdx = (end.x - start.x);
    double yourdy = (end.y - start.y);

    double mydx, mydy;

    double normal1 = Math.sqrt((yourdx * yourdx) + (yourdy * yourdy));

    yourdx /= normal1;
    yourdy /= normal1;
    
//    yourAngle = Math.atan2(dx, dy);
//(dx != 0 ? yourAngle = Math.abs((dy *1.0)/dx) : yourAngle = 1e9);
    //special case for angle
    //if closest point is point 0, then can't calc angle by using prev
    //point since it doesn't exist. we know that angle here is 0
    if (close==0)
    {
      myAngle = 0;
      mydx = 1;
      mydy = 0;
    }
    else
    {
      Point a = new Point (start.x, start.y); //(Point) finePoints.get(close-1);
      Point b = (Point) finePoints.get(close);
      mydx = (b.getX()-a.getX());
      mydy = (b.getY()-a.getY());      
  
     double normal = Math.sqrt((mydx * mydx) + (mydy * mydy));

     mydx /= normal;
     mydy /= normal;
      

//(dx != 0 ? myAngle = Math.abs((dy *1.0)/dx) : myAngle = 1e9);
//      myAngle = Math.atan2(dx, dy);
  //    if (myAngle < 0) myAngle += 3.141592653;
    }
    double crossp = yourdx* mydy - yourdy*mydx;
    if (crossp < 0) crossp = Math.abs(1.0+crossp) + 1.0;

    double dotp = 1 - (mydx*yourdx + mydy*yourdy);
    
    e.angleDiffAbs = dotp;

    // debug
    for (int jj=close; jj <= close; jj++)
    System.out.println("\t" + (int) (((Point) finePoints.get(jj)).getX()) + " :: " + (int) (((Point) finePoints.get(jj)).getY()));
//    System.out.println("\tMINE: " + myAngle + " :: YOURS: " + yourAngle);
System.out.println("Actual points: MINE: (" + mydx + "," + mydy + ") :: YOUR: (" + yourdx + "," + yourdy + ")");
System.out.println("CROSS PRODUCT: " + dotp);// + Math.abs(yourdx*mydy - yourdy*mydx));
    System.out.println("JAVA BLOWS -- A separator\n\n");
    return e;
  }
  
  public static PointSuck evalDestination(int cmd) {
    car tmp = new car (myCar.x.value, myCar.y.value);
    if (cmd == 0) tmp.process("a"); else
    if (cmd == 1) tmp.process("al"); else
    if (cmd == 2) tmp.process("ar"); else
    if (cmd == 3) tmp.process("b"); else
    if (cmd == 4) tmp.process("l"); else
    if (cmd == 5) tmp.process("r"); else
    if (cmd == 6) tmp.process("monkey");
    System.out.println("COMMAND " + cmd + ": " + (int) tmp.x.value + " :: " + (int) tmp.y.value);
    return new PointSuck(tmp.x.value, tmp.y.value);
  }
  
  public static double distance(PointSuck endPoint, int Monkey) {
    return (Math.sqrt(Math.pow(Math.abs(endPoint.x - Pts[Monkey].x),2) 
          + Math.pow(Math.abs(endPoint.y - Pts[Monkey].y),2)));
  }
  
  public static double[] computeError(PointSuck endPoint) 
  {
    int lookAhead = (int)( 2*myCar.v.value);
    double crapAngle[] = new double[lookAhead];
    int index[] = new int[lookAhead];
    System.out.println("computeError is deprecated;\n\tcompile with --bypass-Mo-code to resolve the problem");
    /*
    for (int i=0; i<lookAhead; i++) { */
      /* 
       * Note getAngleError is only declared here ??? -- Aly
       */
/*      crapAngle[i] = getAngleError(Pts[i+whereAreWe]); 
      index[i] = whereAreWe+i; 
    }
    
    // Order by d_angle
    for (int i=0; i<lookAhead; i++) {
      for (int j=i+1; j<lookAhead; j++) {
        if (crapAngle[i] > crapAngle[j]) {
          double tmp = crapAngle[i];
          int tmpIndex = index[i];
          crapAngle[i] = crapAngle[j];
          index[i] = index[j];
          crapAngle[j] = tmp;
          index[j] = tmpIndex;
        }
      }
    }
    
    int monkey = 0;
    while (crapAngle[0] == crapAngle[monkey]) monkey++;
    double crapDist[] = new double[monkey];
    for (int i=0; i<monkey; i++) crapDist[i] = getDistError(index[i]);
  
    for (int i=0; i<monkey; i++) {
      for (int j=i+1; j<monkey; j++) {
        if (crapDist[i] > crapDist[j]) {
          double tmp = crapDist[i];
          double tmpCrapAngle = crapAngle[i];
          crapDist[i] = crapDist[j];
          crapAngle[i] = crapAngle[j];
          crapDist[j] = tmp;
          crapAngle[j] = tmpCrapAngle;
        }
      }
    }*/
    double[] whyTheHell = new double[2];/*
    whyTheHell[0] = crapAngle[0];
    whyTheHell[1] = crapDist[0];*/
    return whyTheHell; 
  }
  
  public static String concatCommand(int Min) {
    if (Min == 0) return "a."; else
    if (Min == 1) return "al."; else
    if (Min == 2) return "ar."; else
    if (Min == 3) return "b."; else
    if (Min == 4) return "l."; else
    if (Min == 5) return "r."; else
    if (Min == 6) return ".";
    return "Mo's code sucks";
  }

  public static void getInput(String dumpFile)
  {
  }
  
  public static void main(String [] args) throws Exception {
    //getInput("");  // Aly fill in
    MonkeyChecker mc = null;
    FileWriter fw =null;
    if (args.length < 1)
    {
      System.out.println("Usage 'java Crap <map-file-name>'");
      System.exit(-17);
    }
    try
    { 
      loadPoints(args[0]); 
      mc = new MonkeyChecker(args[0]);
      fw = new FileWriter( "trc.trc");
    }
    catch (Exception e)
    { 
      e.printStackTrace(); 
      System.out.println("Could not load points"); 
      System.exit(1);
    }

    // Stored in Pts[N].x, Pts[N].y...
    boolean finished = false;
    PointSuck curPoint = new PointSuck(0,0);	// Start point
    errStuff = new ErrInfo();		// Errors on commands
    boolean initFineStart;		// initial FineStart arg to getErrorInfo
    genAllPoints(); 
    myCar.x.value = (int) (((Point) (points.get(0))).getX()) << 8;
    myCar.y.value = (int) (((Point) (points.get(0))).getY()) << 8;

    // Final pixel
    PointSuck Final = new PointSuck(0,0);
    Final.x = (int) (((Point) (points.get(points.size()-1))).getX()) >> 8;
    Final.y = (int) (((Point) (points.get(points.size()-1))).getY()) >> 8;
   
System.out.println("FINALS: " + Final.x + " :: " + Final.y);
System.out.println("********" + finePoints.size());

    
    String ourTrace = "";
    int step = 0;
    
    myCar.process("a");
    PointSuck myAss = new PointSuck((int) myCar.x.value, (int) myCar.y.value);
    
    errStuff = getErrorInfo(0, curPoint, myAss);
    
    curPoint.x = (int) myCar.x.value;
    curPoint.y = (int) myCar.y.value;
    
    while (!finished) {
      step++;
      System.out.println(step + "# WHERE ARE WE!: " + curPoint.x + " :: " + curPoint.y);
      System.out.println(step + "# WHERE ARE WE!: " + (curPoint.x >> 16) + " :: " + (curPoint.y >> 16));

        int nFineSt=0;
          nFineSt = errStuff.nextFineStart;

      for (int i=0; i<7; i++) {
    //    if (i == 3) continue;
    //    if (i == 6) continue;
        /*double[] myAss = new double[2];
        myAss = computeError(endPoint); // Put magic formula in computeError
        errAng[i] = myAss[0];
        errDist[i] = myAss[1];*/
//--------------------------------------------------------------------
        //READ THIS!
        //----------
        //You will want to call GetErrorInfo with:
        //1) finePointStart - initially this should be 0,
        //                    subsequent calls should use the nextFineStart
        //                    member of ErrInfo
        //2) start          - This is the starting point of your car in this
        //                    move. Pass it as a PointSuck. The function
        //                    assumes that all numbers are in 16bit fixed
        //                    point, but calculates distance as if they were
        //                    regular (very large) integer coordinates.
        //                    This should be accurate I think, but Peter can
        //                    confirm.
        //3) end            - The location that your car ends up at after
        //                    a given move. Pass in PointSuck in 16bit fixed
        //                    point.
        //
        //angleDistAbs is calculated using atan2. Please double check my calcs.
//--------------------------------------------------------------------
    /*
     * Who closed a bracket HERE to make an EMPTY loop????
     * -- Aly
     */
//*********************************
	// README
	// Looks like computeError is now utterly useless... (deprecated, if you will)
	// Z returns us angle and distError in this ErrInfo class instance
	// So, what I've done is for all seven commands, call evalDest ==> get endPoints[i]
	// Call getErrorInfo with curPoint and endPoints[i]
	// Store in errAng and errDist...
	// Thanks Z for commenting out the above computeError crap, makes it obvious!
	// I am, of course, assuming that all the sorting etc. is taken care off for me.
	// - MA
//*********************************
        
        endPoints[i] = evalDestination(i);
        if (endPoints[i].x == curPoint.x && endPoints[i].y == curPoint.y) continue;
             
        // Have endPoint; Evaluate error for this command...
              
        
          errStuff = getErrorInfo(nFineSt, curPoint, endPoints[i]);
           
        errAng[i] = errStuff.angleDiffAbs;
        errDist[i] = errStuff.distToClosest;
      }
      
      int[] cmdIndex = new int[7];
      for (int i=0; i<7; i++) cmdIndex[i] = i;
      
      errAng[3] = 1e9; errDist[3] = 1e9;  // Braking
      errAng[6] = 1e9; errDist[6] = 1e9;

      for (int i=0; i<7; i++) {
        // Sort something here... Like, maybe the errors... :-)
        for (int j=i+1; j<7; j++) {
          if (errDist[i] > errDist[j] || (errDist[i] == errDist[j] && errAng[i] > errAng[j])) {
            double tmp0 = errAng[i];
            double tmp1 = errDist[i];
            int tmpCmdIndex = cmdIndex[i];
            errAng[i] = errAng[j];
            errDist[i] = errDist[j];
            cmdIndex[i] = cmdIndex[j];
            errAng[j] = tmp0;
            errDist[j] = tmp1;
            cmdIndex[j] = tmpCmdIndex;
          }
        }
      }

      curPoint = endPoints[cmdIndex[0]];	// Need array of all endPoints for this...
//****// Update whereAreWe over here, somehow...
      // This is somehow meangingless... Because where we are, might not be where we 
      // want to be... :-) *zen*
//      ourTrace += concatCommand(cmdIndex[0]); // concatCommand take command index, gives letter(s)
      finished = (curPoint.x >> 16 == Final.x && curPoint.y >> 16 == Final.y);
//      System.out.println(ourTrace);
      ourTrace = concatCommand(cmdIndex[0]);
      myCar.process(ourTrace);
      System.out.print(ourTrace);
      fw.write(ourTrace);
      fw.flush();
/*      if (mc.isSmashed(curPoint.x >> 16,curPoint.y >> 16))
      {
        System.out.println("Smashed at: "+curPoint);
        System.exit(17);
      }
*/
      }
    fw.close();
  }
}
/*
 * Unmatched bracket ?????????????? Damn you -- Aly
 */

